package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 截图还是评价 (截图,评价)枚举类
*
* @author zxfei
*/
public enum EvaluatetypeEnum {
    截图("截图", "截图"),
    评价("评价", "评价");
    private String value;
    private String desc;

    EvaluatetypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static EvaluatetypeEnum getByValue(String value) {
        for (EvaluatetypeEnum evaluatetypeEnum : EvaluatetypeEnum.values()) {
            if (evaluatetypeEnum.getValue() == value) {
                return evaluatetypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (EvaluatetypeEnum item : EvaluatetypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}